For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Inventory Levels
      • GETGet All Inventory Levels Grouped By Fulfillment Center
      • GETGet Inventory
      • GETGet All Inventory Levels
      • GETGet Inventory Levels Grouped By Fulfillment Center
      • GETGet Inventory Levels Grouped By Lot
      • GETGet All Inventories
      • GETGet All Inventory Levels Grouped By Lot
LogoLogo
API ReferenceInventory

Get All Inventory Levels Grouped By Fulfillment Center

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2026-01/inventory-level/locations
GET
/2026-01/inventory-level/locations
$curl -G https://sandbox-api.shipbob.com/2026-01/inventory-level/locations \
> -H "Authorization: Bearer <token>" \
> -d LocationType=string \
> -d SearchBy=string \
> -d InventoryIds=0 \
> -d IsActive=true \
> -d IsDigital=true \
> -d SortBy=string
1{
2 "first": "string",
3 "items": [
4 {
5 "inventory_id": 0,
6 "locations": [
7 {
8 "awaiting_quantity": 0,
9 "committed_quantity": 0,
10 "fulfillable_quantity": 0,
11 "internal_transfer_quantity": 0,
12 "location_id": 0,
13 "name": "string",
14 "on_hand_quantity": 0
15 }
16 ],
17 "name": "string",
18 "sku": "string"
19 }
20 ],
21 "last": "string",
22 "next": "string",
23 "prev": "string"
24}
Retrieves inventory levels for all inventory items grouped by fulfillment center location. Supports filtering by location type, location ID, and various product attributes.
Was this page helpful?
Previous

Get Inventory Levels

Next

Get Inventory

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

LocationTypestringOptional

Filter by location type. Valid values: ‘hub’, ‘spoke’, or ‘lts’. Defaults to all locations if not specified.

LocationIdintegerOptional
Filter by specific fulfillment center location ID. Use this to retrieve inventory levels for a particular fulfillment center.
SearchBystringOptional

Search is available for 3 fields: Inventory ID, Name, and SKU. Expected behavior for search by Inventory ID is exact match. Expected behavior for search by Inventory Name or SKU is partial match (consecutive characters, case insensitive).

InventoryIdslist of integersOptional

Comma-separated list of inventory IDs to filter results. Use this to retrieve location-grouped inventory levels for specific inventory items only.

IsActivebooleanOptional
Filter inventory levels by active status. Set to true to return only active inventory items, false for inactive items. Omit to return all items regardless of status.
IsDigitalbooleanOptional
Filter inventory levels by digital product status. Set to true to return only digital products, false for physical products. Digital products are items that don't require physical fulfillment.
PageSizeintegerOptional

Number of location-grouped inventory level items to return per page. Controls pagination size for the response.

SortBystringOptional

Sort results by field name. Default is ascending order. Prefix with ’-’ for descending order (e.g., ‘-name’ sorts by name descending). Multiple fields can be comma-separated.

Response

OK
firststring
URL to retrieve the first page of results. Null if already on the first page.
itemslist of objects

Array of location-grouped inventory quantity items in the current page of results.

laststring
URL to retrieve the last page of results. Null if already on the last page.
nextstring
URL to retrieve the next page of results. Null if on the last page.
prevstring
URL to retrieve the previous page of results. Null if on the first page.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error
503
Service Unavailable Error